<!DOCTYPE html>
<html lang="en">

<head>
  <%-include('base/head.ejs')-%>
  <link rel="stylesheet" href="/public/css/infomationcss.css">
</head>

<body style="margin-top: 70px;" onload="BMICal(); process();">
  <header id="header" id="home">
    <div class="container">
      <div class="row align-items-center justify-content-center d-flex">
        <%- include('base/navbar.ejs')-%>
        <!-- #nav-menu-container -->
      </div>
    </div>
  </header>
  <div style="display: none;" id="h">
    <%=height%>
  </div>
  <div style="display: none;" id="w">
    <%=weight%>
  </div>
  <table>
    <thead>
      <tr>
        <th colspan="3" style="text-align: center;">BMI</th>
      </tr>
    </thead>
    <tbody>
      <tr>
        <td>
          BMI
        </td>
        <td id="output"></td>
      </tr>
      <tr>
        <td>
          Body Status
        </td>
        <td id="comment"></td>
      </tr>
    </tbody>
  </table>
  <form action="" method="POST">
  <input type="hidden" name="bodyStatus" id="hidden1" value="" />
  <input type="hidden" name="bmi" id="hidden" value="" />
  <button class="btn btn-submit" type="submit">Go to profile</button>
  </form>
  <%-include('./base/footer.ejs')-%>
  <script>
    function BMICal() {
      var height = parseFloat(document.getElementById("h").innerHTML);
      var weight = parseFloat(document.getElementById("w").innerHTML);
      console.log(height);
      console.log(weight);
      var heightToM = parseFloat(height / 100);

      var BMI = parseFloat(weight / Math.pow(heightToM, 2));
      console.log(BMI);
      document.getElementById("output").innerHTML = Math.round(BMI * 100) / 100;
      if (BMI < 18.5) document.getElementById("comment").innerHTML = "Underweight";
      if (BMI >= 18.5 && BMI <= 25) document.getElementById("comment").innerHTML = "Normal";
      if (BMI >= 25 && BMI <= 30) document.getElementById("comment").innerHTML = "Obese";
      if (BMI > 30) document.getElementById("comment").innerHTML = "Overweight";
    }
  </script>
  <script>
    function process() {
      document.getElementById("hidden").value = document.getElementById("output").innerHTML;
      document.getElementById("hidden1").value = document.getElementById("comment").innerHTML;
      return true;
    }
  </script>
</body>

</html>s